<?
  global $relBasePath, $asterisk, $ivrPath, $cwlang, $cwLanguage;
  
  //retrieve the IVR nodes
  $nodeArray=$asterisk->getIvrNode(0,true);
  foreach ($nodeArray as $k=>$v) {
    if ($v["id"]==$nodeId) $node=$v;
  }
  
  $name=$node["name"];
  $parent=$node["parent"];
  $key=$node["key"];
  $audio=$node["audio"];
  $dial=$node["dial"];
  $queue=$node["queue"];
  $macro=$node["macro"];
  $goto=$node["goto"];
  $taudio=$node["taudio"];
  $tdial=$node["tdial"];
  $tqueue=$node["tqueue"];
  $trepeat=$node["trepeat"];
  $iaudio=$node["iaudio"];
  $idial=$node["idial"];
  $iqueue=$node["iqueue"];
  $irepeat=$node["irepeat"];

  //check if it is a folder
  $folder=false;
  foreach ($nodeArray as $k=>$v) {
    if ($v["parent"]==$nodeId) $folder=true;
  }

  //retrieve the IVR nodes
  foreach ($nodeArray as $k=>$v) {
    if ($v["parent"]==$parent)
      if ($v["id"]!=$nodeId) 
        $html_nodes.="<option value=\"".$v["order"]."\">".$cwlang["ivr"]["replace"]." ".$v["name"]."</option>\n";
      else
        $html_nodes.="<option value=\"".$v["order"]."\" selected=\"selected\">".$cwlang["ivr"]["currentPosition"]." </option>\n";       
  }

  //retrieve the IVR nodes for the goto select 
  $html_ivrnode.="<option value=\"\">[none]</option>\n";
  //$html_ivrnode.="<option value=\"0\">Punto di Ingresso</option>\n";
  foreach ($nodeArray as $k=>$v) {
    $folderNode=false;
    foreach ($nodeArray as $k1=>$v1) if ($v1["parent"]==$v["id"]) $folderNode=true;
    if ($folderNode) {
      if ($v["id"]==$goto) $chk="selected"; else $chk=""; 
      $html_ivrnode.="<option value=\"".$v["id"]."\" $chk>".$v["name"]."</option>\n";
    }
  }
  
  //retrieve the extensions information
  $ret=$asterisk->getClient(0,0);
  if ($err=$asterisk->getError()) die("Error: $err");
  $html_client="<option value=\"\" /> [none] </option>\n";
  $html_tclient="<option value=\"\" /> [none] </option>\n";
  $html_iclient="<option value=\"\" /> [none] </option>\n";
  if (is_array($ret)) {
    foreach($ret as $v) {
      $cid=$v["id"];
      $cname=$v["peer"]["name"];
      $protocol=$v["peer"]["protocol"];
      $callerid=$v["peer"]["callerid"];
      if ($cid==$dial) $chk="selected='selected'"; else $chk=""; 
      $html_client.="<option value=\"".$cid."\" $chk/> $callerid </option>\n";
      if ($cid==$tdial) $chk="selected='selected'"; else $chk=""; 
      $html_tclient.="<option value=\"".$cid."\" $chk/> $callerid </option>\n";
      if ($cid==$idial) $chk="selected='selected'"; else $chk=""; 
      $html_iclient.="<option value=\"".$cid."\" $chk/> $callerid </option>\n";
    }
  }
  
  //retrieve the queue information
  $ret=$asterisk->getQueue(0);
  if ($err=$asterisk->getError()) die("Error: $err");
  $html_queue="<option value=\"\" /> [none] </option>\n";
  $html_tqueue="<option value=\"\" /> [none] </option>\n";
  $html_iqueue="<option value=\"\" /> [none] </option>\n";
  if (is_array($ret)) {
    foreach($ret as $v) {
      $qid=$v["id"];
      $qname=$v["name"];
      if ($qid==$queue) $chk="selected='selected'"; else $chk=""; 
      $html_queue.="<option value=\"".$qid."\" $chk/> $qname </option>\n";
      if ($qid==$tqueue) $chk="selected='selected'"; else $chk=""; 
      $html_tqueue.="<option value=\"".$qid."\" $chk/> $qname </option>\n";
      if ($qid==$iqueue) $chk="selected='selected'"; else $chk=""; 
      $html_iqueue.="<option value=\"".$qid."\" $chk/> $qname </option>\n";
    }
  }  

  //retrieve the queue macro information
  $ret=$asterisk->getAction(0);
  if ($err=$asterisk->getError()) die("Error: $err");
  $html_macro="<option value=\"\" /> [none] </option>\n";
  if (is_array($ret)) {
    foreach($ret as $v) {
      $mid=$v["id"];
      $mname=$v["name"];
      if ($mid==$macro) $chk="selected='selected'"; else $chk=""; 
      $html_macro.="<option value=\"".$mid."\" $chk/> $mname </option>\n";
    }
  }  
?>
  <div id="basic_form" class="fade">
    <form action="<?=$PHP_SELF?>" method="post" enctype="multipart/form-data">
    <h1><?if ($folder) echo "Menu ".$name; else echo "Item ".$name;?></h1>
    <p class="blockintro"><?=$cwlang["ivr"]["nodeDesc"]?></p>
    <div class="block">
      <dl>
        <dt class="required"><label for="node[name]"><?=$cwlang["ivr"]["name"]?>:</label></dt>
        <dd><input type="text" size="25" maxlength="30" id="node[name]" name="node[name]" value="<?=$name?>" /></dd>
        <dt class="required"><label for="node[key]"><?=$cwlang["ivr"]["key"]?>:</label></dt>
        <dd><input type="text" size="25" maxlength="50" id="node[key]" name="node[key]" value="<?=$key?>" /> 
          <?=$cwlang["ivr"]["keyHelp"]?>
        </dd>
        <dt class="required"><label for="node[audio]"><?=$cwlang["ivr"]["audio"]?>:</label></dt>
        <dd><input type="file" size="25" maxlength="50" id="node[audio]" name="node[audio]" value="<?=$audio?>" /> 
          <? if ($audio!="") echo $cwlang["ivr"]["listen"]." <a href=\"".$ivrPath.$audio."\">--&gt;</a>"; 
              //else echo "inserisci il file audio";
          ?>
        </dd>
        <dt class="required"><label for="node[order]"><?=$cwlang["ivr"]["position"]?>:</label></dt>
        <dd>
          <select id="node[order]" name="node[order]">
            <?=$html_nodes?>
          </select> 
        </dd>
      </dl>
    </div>

<?      if ($folder===false) { ?>
    <h1><?=$cwlang["ivr"]["action"]?></h1>
    <p class="blockintro"><?=$cwlang["ivr"]["actionDesc"]?></p>
    <div class="block">
      <dl>
        <dt class="required"><label for="node[dial]"><?=$cwlang["ivr"]["call"]?>:</label></dt>
        <dd>
          <select id="node[dial]" name="node[dial]">
            <?=$html_client?>
          </select> 
        </dd>
        <dt class="required"><label for="node[queue]"><?=$cwlang["ivr"]["enqueue"]?>:</label></dt>
        <dd>
          <select id="node[queue]" name="node[queue]">
            <?=$html_queue?>
          </select> 
        </dd>
        <dt class="required"><label for="node[queue]"><?=$cwlang["ivr"]["macro"]?>:</label></dt>
        <dd>
          <select id="node[macro]" name="node[macro]">
            <?=$html_macro?>
          </select> 
        </dd>
        <dt class="required"><label for="node[goto]"><?=$cwlang["ivr"]["goto"]?>:</label></dt>
        <dd>
          <select id="node[goto]" name="node[goto]">
            <?=$html_ivrnode?>
          </select> 
        </dd>
      </dl>
    </div>      
<?      } else { ?>
    <h1><?=$cwlang["ivr"]["timeout"]?></h1>
    <p class="blockintro"><?=$cwlang["ivr"]["timeoutDesc"]?></p>
    <div class="block">
      <dl>
        <dt class="required"><label for="node[taudio]"><?=$cwlang["ivr"]["audio"]?>:</label></dt>
        <dd><input type="file" size="25" maxlength="50" id="node[taudio]" name="node[taudio]" value="" /> 
          <? if ($taudio!="") echo $cwlang["ivr"]["listen"]." <a href=\"".$ivrPath.$taudio."\">--&gt;</a>"; 
              //else echo "inserisci il file audio";
          ?>
        </dd>
        <dt class="required"><label for="node[tdial]"><?=$cwlang["ivr"]["call"]?>:</label></dt>
        <dd>
          <select id="node[tdial]" name="node[tdial]">
            <?=$html_tclient?>
          </select> 
        </dd>
        <dt class="required"><label for="node[tqueue]"><?=$cwlang["ivr"]["enqueue"]?>:</label></dt>
        <dd>
          <select id="node[tqueue]" name="node[tqueue]">
            <?=$html_tqueue?>
          </select> 
        </dd>
        <dt class="required"><label for="node[trepeat]"><?=$cwlang["ivr"]["repeat"]?>:</label></dt>
        <dd><input type="checkbox" id="node[trepeat]" name="node[trepeat]" value="1" <?if ($trepeat==1) echo "checked=\"checked\" "?>/>
          <?=$cwlang["ivr"]["repeatHelp"]?> <?=$name?>
        </dd>
      </dl>
    </div>      


    <h1><?=$cwlang["ivr"]["invalid"]?></h1>
    <p class="blockintro"><?=$cwlang["ivr"]["invalidHelp"]?></p>
    <div class="block">
      <dl>
        <dt class="required"><label for="node[iaudio]"><?=$cwlang["ivr"]["audio"]?>:</label></dt>
        <dd><input type="file" size="25" maxlength="50" id="node[iaudio]" name="node[iaudio]" value="" /> 
          <? if ($iaudio!="") echo $cwlang["ivr"]["listen"]." <a href=\"".$ivrPath.$iaudio."\">--&gt;</a>"; 
              //else echo "inserisci il file audio";
          ?>
        </dd>
        <dt class="required"><label for="node[idial]"><?=$cwlang["ivr"]["call"]?>:</label></dt>
        <dd>
          <select id="node[idial]" name="node[idial]">
            <?=$html_iclient?>
          </select> 
        </dd>
        <dt class="required"><label for="node[iqueue]"><?=$cwlang["ivr"]["enqueue"]?>:</label></dt>
        <dd>
          <select id="node[iqueue]" name="node[iqueue]">
            <?=$html_iqueue?>
          </select> 
        </dd>
        <dt class="required"><label for="node[irepeat]"><?=$cwlang["ivr"]["repeat"]?>:</label></dt>
        <dd><input type="checkbox" id="node[irepeat]" name="node[irepeat]" value="1" <?if ($irepeat==1) echo "checked=\"checked\" "?> />
          <?=$cwlang["ivr"]["repeatHelp"]?> <?=$name?>
        </dd>
      </dl>
    </div>      

<?      }  ?>        
        
    <div class="action">
      <input type="hidden" name="node[id]" value="<?=$nodeId?>" />
      <input type="image" src="<?=$relBasePath?>/public/img/<?=$cwLanguage?>/b-cancel.gif" alt="Cancel" onclick="location.href='../'; return false;"/>
      <input type="image" src="<?=$relBasePath?>/public/img/<?=$cwLanguage?>/b-save.gif" alt="Save" />
    </div>
  </form>
 </div>  
 

